Name:          annox
Version:       0.5.0
Release:       %mkrel 1
Summary:       Java annotations in XML resources
Group:         Development/Java
License:       BSD
Url:           http://static.highsource.org/annox/
# svn export https://svn.java.net/svn/annox~svn/tags/0.5.0 annox-0.5.0
# tar czf annox-0.5.0-src-svn.tar.gz annox-0.5.0
Source0:       annox-0.5.0-src-svn.tar.gz

# TODO org.hibernate hibernate-search 3.0.0.GA test
Patch0:        annox-0.5.0-no-hibernate-search.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: sonatype-oss-parent

BuildRequires: ant
BuildRequires: apache-commons-lang
BuildRequires: glassfish-jaxb
BuildRequires: junit

BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-javadoc-plugin

Requires:      apache-commons-lang
Requires:      glassfish-jaxb

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Annox is an open source project which allows you to read arbitrary Java annotations from XML resources.
JAXB users may be interested in Annox annotation reader for JAXB RI which allows you to define JAXB 
Java/XML mappings in XML resources (instead of annotations).

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n annox-%{version}

find \( -name '*.jar' -o -name '*.class' -o -name '*.bat' \) -exec rm -f '{}' \;
%patch0 -p1

sed -i "s|<groupId>ant</groupId>|<groupId>org.apache.ant</groupId>|" pom.xml
sed -i "s|<artifactId>ant-optional</artifactId>|<artifactId>ant</artifactId>|" pom.xml
sed -i "s|<version>1.5.3-1</version>|<version>1.8.2</version>|" pom.xml

sed -i "s|<module>samples</module>|<!--module>samples</module-->|" pom.xml

%build

mvn-rpmbuild -e \
  -Dmaven.test.skip=true \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# JAR
mkdir -p %{buildroot}%{_javadir}
install -pm 644 core/target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# POM
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-project.pom
%add_maven_depmap JPP-%{name}-project.pom
install -pm 644 core/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Oct 29 2011 gil <gil> 0.5.0-1.mga2
+ Revision: 159554
- imported package annox

